注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

淘尽网 官方博客

淘尽网http://www.tao3w.com做最好的比价网站

 
 
 

日志

 
 
关于我

淘尽网 http://www.tao3w.com 做最好的比价网站,做最好的数据抓取专家。

网易考拉推荐

Ubuntu 11.10下编译安装Qt4.8.2  

2012-07-25 22:00:37|  分类: LINUX |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

一 、源代码的获取。

官网http://qt.nokia.com/downloads,最新的是4.8.2版本。

二、解压代码

tar zxvf qt-everywhere-opensource-src-4.8.2.tar.gz

解压完进入解压后的源代码文件夹


三、执行./configure生成makefile

./configure -prefix /usr/local/Qt-4.8.2

(上面指定的这个目录/usr/local/Qt-4.8.2 ,就是make install 后的安装目录)

下面出现对话框选择open source edition.这是自由版。输入yes接受协议。

(1)如果你的机器各种库文件完整,经过一小会,配置完成,会出现以下信息
              Qt  is now configured for building ,just run 'make'
              Once everything is built , you must run 'make  install'
              Qt will be installed into /usr/local/Qt-4.8.2
               To  reconfigure ,run 'make confclean' and 'configure'
说明Makefile文件生成成功

(2)如果出现以下信息
        Basic XLib functionality test failed!
        You might need to modify the include and library search paths by editing
        QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 in /home/gcgily/qt-everywhere-opensource-src-4.8.2/mkspecs/linux-g++ 

        还是老办法,以不变应万变。进config.test/x11/xlib 执行make命令,看出错信息
        g++ -Wl,-O1 -o xlib xlib.o    -L/usr/X11R6/lib -lXext -lX11 -lm
        /usr/bin/ld: cannot find -lXext
        看到了吧,g++在/usr/X11R6/lib下,找不到libXext.so呢。

        其原因就在于需要安装libX11的开发包,在ubuntu/debian里包名都是libX11-dev
        根据以往的经验,在./configure前主动装好下面3个包,基本上就万事大吉了
        sudo apt-get install libX11-dev libXext-dev libXtst-dev

安装所需到包后再重新./configure即可生成Makefile文件

四、编译QT

执行make命令,需要2个小时。

五、安装QT

运行make install命令。需要几分钟时间,默认安装到/usr/local/Qt-4.8.2. 运行/usr/local/Qt-4.5.3/bin/designer ,若能启动QT,说明QT已经安装好了。

六、设置环境变量

更改用户环境变量(我的用户名为gcgily)

gedit  /home/gcgily/.bashrc

添加:

export QTDIR=/usr/local/Trolltech/Qt-4.8.2

export PATH=$QTDIR/bin:$PATH

export MANPATH=$QTDIR/man:$MANPATH

export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

更改包括root用户的环境变量

sudo gedit /etc/profile  (此处profile文件要更改一下权限才能写入)

添加:

export QTDIR=/usr/local/Trolltech/Qt-4.8.2

export PATH=$QTDIR/bin:$PATH

export MANPATH=$QTDIR/man:$MANPATH

export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

七、测试环境变量

重启测试环境变量:

qmake -v

显示版本信息:

QMake version 2.01a

Using Qt version 4.8.2 in /usr/local/Trolltech/Qt-4.8.2/lib

which qmake

显示安装位置信息:

/usr/local/Trolltech/Qt-4.8.2/bin/qmake

环境变量设置成功。

安装步骤到这里结束了,希望对您有所帮助。

  评论这张
 
阅读(254)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017